##
##  gradle.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 9.1.0
%define       V_dist 9.1.0

#   package information
Name:         gradle
Summary:      Build Utility
URL:          http://www.gradle.org/
Vendor:       Hans Dockter et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Building
License:      Apache
Version:      %{V_opkg}
Release:      20250920

#   list of sources
Source0:      https://services.gradle.org/distributions/gradle-%{V_dist}-bin.zip
Source1:      gradle.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    Gradle is a modern build system which provides: a very flexible
    general purpose build tool like Ant; switchable, build-by-convention
    frameworks a la Maven (for Java and Groovy projects); powerful
    support for multi-project builds; powerful dependency management
    (based on Apache Ivy); full support for your existing Maven or
    Ivy repository infrastructure; support for transitive dependency
    management without the need for remote repositories and "pom.xml"
    or "ivy.xml" files; Ant tasks as first-class citizens; Groovy build
    scripts, etc.

%track
    prog gradle = {
        version   = %{V_dist}
        url       = https://gradle.org/install/
        regex     = gradle-(__VER__)-bin\.zip
    }

%prep
    %setup -q -n gradle-%{V_dist}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/gradle/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/gradle/lib/plugins
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE gradle.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/gradle
    ln \
        $RPM_BUILD_ROOT%{l_prefix}/bin/gradle \
        $RPM_BUILD_ROOT%{l_prefix}/lib/gradle/bin/gradle
    %{l_shtool} install -c -m 644 \
        lib/*.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/gradle/lib/
    %{l_shtool} install -c -m 644 \
        lib/plugins/*.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/gradle/lib/plugins/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

